## org.openorb.compiler.idl.reflect
Interface idlFactory

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlFactory

public interface idlFactory
extends idlObject

This interface is implemented by all IDL objects that represent a state description

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlParameter[]` `parameters()` Return the parameters list

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### parameters

    public idlParameter[] parameters()

  Return the parameters list